
Katello - Bug #5020

Pulp is not picking up the events when syncing a repo

04/02/2014 10:20 AM - Jiří Mikulka

Status: Closed   

Priority: High   

Assignee: Ivan Necas   

Category: Installer   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

One is unable to synchronize a repository (the status is always "Pending") due to misconfiguration of pulp. The traceback produced

is:

$ cat /var/log/pulp/pulp.log

[...]

14-04-01 12:15:57,119 qpid.messaging:WARNING: recoverable error[attempt 3]: Connection hostname 'localhost' does not match

names from peer certificate: ['<hostname>', u'<hostname>']

2014-04-01 12:15:57,119 qpid.messaging:WARNING: sleeping 4 seconds

2014-04-01 12:16:01,123 qpid.messaging:WARNING: trying: localhost:5671

2014-04-01 12:16:01,133 qpid.messaging:WARNING: recoverable error[attempt 4]: Connection hostname 'localhost' does not match

names from peer certificate: ['<hostname>', u'<hostname>']

[...]

The correct pulp configuration should be done in /etc/pulp/server.conf:

url: ssl://localhost:5671 ==> url: ssl://<hostname>:5671

Associated revisions

Revision dca425e2 - 04/02/2014 06:31 AM - Ivan Necas

Fixes #5020 - use fqdn in the messaging url

The latest updates in some ssl related package made the verification

of the hostname against the cert CN enabled, causing pulp not being

able to communicate with qpid.

Revision 2604bd1c - 04/02/2014 11:29 AM - Mike McCune

Merge pull request #21 from iNecas/issue/5020

Fixes #5020 - use fqdn in the messaging url

History

#1 - 04/02/2014 10:31 AM - Ivan Necas

- Category set to Installer

- Status changed from New to Ready For Testing

- Assignee set to Ivan Necas

- Priority changed from Normal to High

https://github.com/Katello/puppet-katello/pull/21

#2 - 04/07/2014 02:44 PM - Ivan Necas

- Status changed from Ready For Testing to Closed

#3 - 06/06/2014 01:34 PM - Eric Helms
https://github.com/Katello/puppet-katello/pull/21


- Triaged changed from No to Yes

#4 - 08/21/2014 02:44 PM - Eric Helms

- translation missing: en.field_release set to 13
